-- **********************************************************
-- Drop_OCM_Tables.SQL
-- SQL Statements to drop the tables created by OCM in .
-- (C) Copyright IBM Corp. 2008, 2014
-- **********************************************************

ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT FK_ROLEID; 
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT FK_USERID;

ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT MGR_OPTIM_DIRECTORY_FK;
ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT FK_USER_ROLE;

ALTER TABLE OPTIM_ACL DROP CONSTRAINT PK_MANAGER_ACL;
ALTER TABLE OPTIM_ACL DROP CONSTRAINT SYS_C00334099;
ALTER TABLE OPTIM_ACL DROP CONSTRAINT SYS_C00334100;
ALTER TABLE OPTIM_ACL DROP CONSTRAINT SYS_C00334101;

ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT AUDIT_RECORDS_PK;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334158;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334159;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334160;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334161;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334162;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334163;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334164;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334165;
ALTER TABLE OPTIM_AUDIT_RECORDS DROP CONSTRAINT SYS_C00334166;

ALTER TABLE OPTIM_CONFIG_CONTENT DROP CONSTRAINT CONFIG_CONTENTS_PK;
ALTER TABLE OPTIM_CONFIG_CONTENT DROP CONSTRAINT SYS_C00334032;
ALTER TABLE OPTIM_CONFIG_CONTENT DROP CONSTRAINT SYS_C00334033;

ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT DATA_STORES_PK;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334012;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334013;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334014;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334015;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334016;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334017;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334018;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334019;
ALTER TABLE OPTIM_DATA_STORES DROP CONSTRAINT SYS_C00334020;

ALTER TABLE OPTIM_DEFINITION_CONTENT DROP CONSTRAINT DEFINITION_CONTENTS_PK;
ALTER TABLE OPTIM_DEFINITION_CONTENT DROP CONSTRAINT SYS_C00334035;
ALTER TABLE OPTIM_DEFINITION_CONTENT DROP CONSTRAINT SYS_C00334036;

ALTER TABLE OPTIM_DIRECTORY_PROPERTIES DROP CONSTRAINT DIRECTORY_PROP_PK;
ALTER TABLE OPTIM_DIRECTORY_PROPERTIES DROP CONSTRAINT SYS_C00334009;
ALTER TABLE OPTIM_DIRECTORY_PROPERTIES DROP CONSTRAINT SYS_C00334010;

ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT GLOBAL_POLICIES_PK;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334135;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334136;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334137;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334138;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334139;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334140;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334141;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334142;
ALTER TABLE OPTIM_GLOBAL_POLICIES DROP CONSTRAINT SYS_C00334143;

ALTER TABLE OPTIM_GLOBAL_POLICYMAP DROP CONSTRAINT PK_GLOBAL_POLICYMAP;

ALTER TABLE OPTIM_GLOBAL_POLICYMAP DROP CONSTRAINT SYS_C00334145;
ALTER TABLE OPTIM_GLOBAL_POLICYMAP DROP CONSTRAINT SYS_C00334146;
ALTER TABLE OPTIM_GLOBAL_POLICYMAP DROP CONSTRAINT SYS_C00334147;
ALTER TABLE OPTIM_GLOBAL_POLICYMAP DROP CONSTRAINT SYS_C00334148;

ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT PK_PREFERENCES;

ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334072;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334073;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334074;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334075;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334076;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334077;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334078;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334079;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334080;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334081;
ALTER TABLE OPTIM_GLOBAL_PREFERENCES DROP CONSTRAINT SYS_C00334082;

ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT JDBC_DRIVERS_PK;

ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334022;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334023;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334024;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334025;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334026;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334027;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334028;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334029;
ALTER TABLE OPTIM_JDBC_DRIVERS DROP CONSTRAINT SYS_C00334030;

ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT OPTIM_MANAGER_OCM_PK;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334103;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334104;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334105;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334106;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334107;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334108;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334109;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT SYS_C00334110;
ALTER TABLE OPTIM_MANAGER_OCM DROP CONSTRAINT UQ_OCM_HOST_PORT;

ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT PK_MANAGER_CONFIGURATION;
ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT SYS_C00334093;
ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT SYS_C00334094;
ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT SYS_C00334095;
ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT SYS_C00334096;
ALTER TABLE OPTIM_MGR_CONFIGURATION DROP CONSTRAINT UQ_MANAGER_CONFIGURATION_ENV;

ALTER TABLE OPTIM_OOB_ROLE DROP CONSTRAINT PK_ROLEID;
ALTER TABLE OPTIM_OOB_ROLE DROP CONSTRAINT SYS_C00334057;
ALTER TABLE OPTIM_OOB_ROLE DROP CONSTRAINT SYS_C00334058;
ALTER TABLE OPTIM_OOB_ROLE DROP CONSTRAINT SYS_C00334059;
ALTER TABLE OPTIM_OOB_ROLE DROP CONSTRAINT SYS_C00334060;
ALTER TABLE OPTIM_OOB_USER DROP CONSTRAINT PK_USERID;
ALTER TABLE OPTIM_OOB_USER DROP CONSTRAINT SYS_C00334051;
ALTER TABLE OPTIM_OOB_USER DROP CONSTRAINT SYS_C00334052;
ALTER TABLE OPTIM_OOB_USER DROP CONSTRAINT SYS_C00334053;
ALTER TABLE OPTIM_OOB_USER DROP CONSTRAINT SYS_C00334054;
ALTER TABLE OPTIM_OOB_USER DROP CONSTRAINT SYS_C00334055;

ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT PK_OOB_USER_ROLE;
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT SYS_C00334062;
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT SYS_C00334063;
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT SYS_C00334064;
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT SYS_C00334065;
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT SYS_C00334066;
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT SYS_C00334067;
ALTER TABLE OPTIM_OOB_USER_ROLE DROP CONSTRAINT UQ_OOB_USER_ROLE;

ALTER TABLE OPTIM_POLICY_DIRECTORY_MAP DROP CONSTRAINT PK_POLICY_DIRECTORY_MAP;
ALTER TABLE OPTIM_POLICY_DIRECTORY_MAP DROP CONSTRAINT SYS_C00334150;
ALTER TABLE OPTIM_POLICY_DIRECTORY_MAP DROP CONSTRAINT SYS_C00334151;
ALTER TABLE OPTIM_POLICY_DIRECTORY_MAP DROP CONSTRAINT SYS_C00334152;

ALTER TABLE OPTIM_POLICY_SERVER_MAP DROP CONSTRAINT PK_POLICY_SERVER_MAP;
ALTER TABLE OPTIM_POLICY_SERVER_MAP DROP CONSTRAINT SYS_C00334154;
ALTER TABLE OPTIM_POLICY_SERVER_MAP DROP CONSTRAINT SYS_C00334155;
ALTER TABLE OPTIM_POLICY_SERVER_MAP DROP CONSTRAINT SYS_C00334156;

ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SERVER_REGISTRATION_PK;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334041;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334042;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334043;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334044;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334045;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334046;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334047;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT SYS_C00334048;
ALTER TABLE OPTIM_SERVER_REGISTRATION DROP CONSTRAINT UNIQUE_NAME_URL;

ALTER TABLE OPTIM_TRANSACTION_CONTENT DROP CONSTRAINT SYS_C00334038;
ALTER TABLE OPTIM_TRANSACTION_CONTENT DROP CONSTRAINT SYS_C00334039;
ALTER TABLE OPTIM_TRANSACTION_CONTENT DROP CONSTRAINT TRANSACTION_CONTENTS_PK;

ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT MGR_OPTIM_DIRECTORY_PK;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334113;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334114;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334115;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334116;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334117;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334118;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334119;
ALTER TABLE OPTIM_USER_DIRECTORY DROP CONSTRAINT SYS_C00334120;

ALTER TABLE OPTIM_USER_EMAILS DROP CONSTRAINT PK_USERNAME;
ALTER TABLE OPTIM_USER_EMAILS DROP CONSTRAINT SYS_C00334123;
ALTER TABLE OPTIM_USER_EMAILS DROP CONSTRAINT SYS_C00334124;
ALTER TABLE OPTIM_USER_EMAILS DROP CONSTRAINT SYS_C00334125;

ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT PK_USER_PREFERENCES_ID;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT SYS_C00334084;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT SYS_C00334085;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT SYS_C00334086;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT SYS_C00334087;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT SYS_C00334088;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT SYS_C00334089;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT SYS_C00334090;
ALTER TABLE OPTIM_USER_PREFERENCES DROP CONSTRAINT UQ_USER_PREFERENCES;

ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT SYS_C00334168;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT SYS_C00334169;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT SYS_C00334170;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT SYS_C00334171;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT SYS_C00334172;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT SYS_C00334173;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT UNIQUE_REGISTRY_ID;
ALTER TABLE OPTIM_USER_REGISTRY DROP CONSTRAINT USER_REGISTRY_PK;

ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT PK_USER_ROLE;
ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT PUQ_USER_ROLE;
ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT SYS_C00334127;
ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT SYS_C00334128;
ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT SYS_C00334129;
ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT SYS_C00334130;
ALTER TABLE OPTIM_USER_ROLE DROP CONSTRAINT SYS_C00334131;

DROP INDEX IDX_GLBL_PLCIS_POLICY_ID_NAME;

DROP TABLE OPTIM_ACL;
DROP TABLE OPTIM_AUDIT_RECORDS;
DROP TABLE OPTIM_CONFIG_CONTENT;
DROP TABLE OPTIM_DATA_STORES;
DROP TABLE OPTIM_DEFINITION_CONTENT;
DROP TABLE OPTIM_DIRECTORY_PROPERTIES;
DROP TABLE OPTIM_GLOBAL_POLICIES;
DROP TABLE OPTIM_GLOBAL_POLICYMAP;
DROP TABLE OPTIM_GLOBAL_PREFERENCES;
DROP TABLE OPTIM_JDBC_DRIVERS;
DROP TABLE OPTIM_MANAGER_OCM;
DROP TABLE OPTIM_MGR_CONFIGURATION;
DROP TABLE OPTIM_OOB_ROLE;
DROP TABLE OPTIM_OOB_USER;
DROP TABLE OPTIM_OOB_USER_ROLE;
DROP TABLE OPTIM_POLICY_DIRECTORY_MAP;
DROP TABLE OPTIM_POLICY_SERVER_MAP;
DROP TABLE OPTIM_SERVER_REGISTRATION;
DROP TABLE OPTIM_TRANSACTION_CONTENT;
DROP TABLE OPTIM_USER_DIRECTORY;
DROP TABLE OPTIM_USER_EMAILS;
DROP TABLE OPTIM_USER_PREFERENCES;
DROP TABLE OPTIM_USER_REGISTRY;
DROP TABLE OPTIM_USER_ROLE;

